package jalview.api;

/**
 * prototype abstract controller for a Jalview alignment view
 * @author jimp
 * 
 * All operations should return true if the view has changed as a result of the operation
 * @param <ViewportI>
 *
 */
public interface AlignViewControllerI<ViewportI>
{

  public boolean makeGroupsFromSelection();

  public boolean createGroup();

  public boolean unGroup();

  public boolean deleteGroups();

  public void setViewportAndAlignmentPanel(AlignViewportI viewport, AlignmentViewPanel alignPanel);

  boolean markColumnsContainingFeatures(boolean invert, String featureType);

}
